Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class URLLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.openorb.util.URLLoader

public class URLLoader
extends java.lang.ClassLoader

This class is used as a class loader to load class from an URL.

Version:
  $Revision: 1.9 $ $Date: 2002/07/14 19:12:40 $
Author:
  Jerome Daniel

Constructor Summary
`URLLoader(java.net.URL[] urls)` Constructor.

Method Summary
`java.net.URL[]` | `getURLs()` Return the url array.

Methods inherited from class java.lang.ClassLoader
`getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLLoader

    public URLLoader(java.net.URL[] urls)

  Constructor.
  Parameters:
    `urls` - The list of urls to load classes from.

Method Detail

### getURLs

    public java.net.URL[] getURLs()

  Return the url array.
  Returns:
    The array of URLs to load classes from.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD